000018727 - Luna Drivers needed for Keon Sentry CA 4.0 Installation/Upgrade

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000018727
Applies ToSentry CA 4.0.x
Keon Certificate Authority
Microsoft Windows NT 4.0
Sun Solaris 2.6
TechNote 0245
IssueLuna Drivers needed for Keon Sentry CA 4.0 Installation/Upgrade
During the CA installation/Upgrade, it will fail to find Luna drivers.
The Luna token cannot be used until they are installed.
CauseBefore Keon Sentry CA 4.0 (for both NT and Solaris) can be used with a Luna token, the default Chrysalis-ITS Inc. v 6.0 drivers and an additional dynamically linked library are required. If these files are not present, Keon Sentry CA will fail to find them during Install/Upgrade. The Luna token cannot be used until they are installed.
ResolutionFor new Keon (Sentry) CA installation:

Install the default Chrysalis 6.0 drivers from the Chrysalis-ITS Luna CD, and install the dynamically linked library as described in the implementation guide "Chrysalis-ITS Luna CA and Luna CA3 Cryptographic Tokens" available in Appendix B of Keon Certificate Authority Administrator?s Guide 5.7.

Once the default Chrysalis 6.0 drivers and the dynamically linked library are installed, installation with Luna tokens is possible.
For Keon (Sentry) CA upgrades:

The drivers installed for Keon Sentry CA 3.6 or 3.7 are correct, but an additional dynamic library is needed for v4.0. Install the dynamically linked library as described in the implementation guide "Chrysalis-ITS Luna CA and Luna CA3 Cryptographic Tokens" available in Appendix B of Keon CA Administrator's Guide v5.7.

Once the default Chrysalis 6.0 drivers and the dynamically linked library are installed, upgrade with Luna tokens is possible.
Legacy Article IDa3210

Attachments

    Outcomes